proxmox-ve (8.3.0) bookworm; urgency=medium

  * bump for Proxmox VE 8.3

 -- Proxmox Support Team <support@proxmox.com>  Wed, 20 Nov 2024 11:42:06 +0100

proxmox-ve (8.2.0) bookworm; urgency=medium

  * drop postinst/rm scripts that managed the links to the current default
    kernel for fallback use, this moved to the new separate meta package for
    default-kernel

  * add systemd-sys to depends to better encode that Proxmox VE only works
    with systemd as PID1

  * disable the apt hook, that ensures that Proxmox VE is not deinstalled by
    accident due to some botched repository configuration from the user, when
    the meta package is actually removed to avoid issues on purge.

 -- Proxmox Support Team <support@proxmox.com>  Wed, 17 Apr 2024 07:38:30 +0200

proxmox-ve (8.1.0) bookworm; urgency=medium

  * bump for Proxmox VE 8.1

 -- Proxmox Support Team <support@proxmox.com>  Thu, 23 Nov 2023 09:25:11 +0100

proxmox-ve (8.0.2) bookworm; urgency=medium

  * switch to new Proxmox kernel meta packages

  * make pve-headers transitional to switch to proxmox-default-headers

 -- Proxmox Support Team <support@proxmox.com>  Tue, 01 Aug 2023 11:39:53 +0200

proxmox-ve (8.0.1) bookworm; urgency=medium

  * switch dependency over to proxmox-kernel-helper package (again)

 -- Proxmox Support Team <support@proxmox.com>  Mon, 12 Jun 2023 11:10:13 +0200

proxmox-ve (8.0.0) bookworm; urgency=medium

  * re-build for Proxmox VE 8 / Debian 12 Bookworm

  * depene on Linux Kernel 6.2 by default

  * switch to native versioning scheme

 -- Proxmox Support Team <support@proxmox.com>  Wed, 24 May 2023 20:06:19 +0200

proxmox-ve (7.4-1) bullseye; urgency=medium

  * depend on proxmox-kernel-helper

  * bump version for Proxmox VE 7.4

 -- Proxmox Support Team <support@proxmox.com>  Mon, 20 Mar 2023 21:19:15 +0100

proxmox-ve (7.3-1) bullseye; urgency=medium

  * bump version for Proxmox VE 7.3

 -- Proxmox Support Team <support@proxmox.com>  Sun, 20 Nov 2022 15:19:55 +0100

proxmox-ve (7.2-1) bullseye; urgency=medium

  * depend on Linux Kernel 5.15 by default

  * bump version for Proxmox VE 7.2

 -- Proxmox Support Team <support@proxmox.com>  Wed, 20 Apr 2022 15:00:11 +0200

proxmox-ve (7.1-2) bullseye; urgency=medium

  * apt-hook: make code more robust for some input to avoid spurious
    warnings

  * apt-hook: add check preventing the removal of pinned kernels

  * d/control: alternatively allow 5.15 kernel to satisfy kernel dependency

 -- Proxmox Support Team <support@proxmox.com>  Wed, 20 Apr 2022 11:07:46 +0200

proxmox-ve (7.1-1) bullseye; urgency=medium

  * depend on Linux Kernel 5.13 by default

  * bump version for Proxmox VE 7.1

 -- Proxmox Support Team <support@proxmox.com>  Thu, 11 Nov 2021 21:46:59 +0100

proxmox-ve (7.0-2) bullseye; urgency=medium

  * add grub.d snippet  set distributor and disable os-prober

 -- Proxmox Support Team <support@proxmox.com>  Thu, 24 Jun 2021 13:53:40 +0200

proxmox-ve (7.0-1) bullseye; urgency=medium

  * depend on Linux Kernel 5.11 by default

  * re-build for Proxmox VE 7 / Debian Bullseye

 -- Proxmox Support Team <support@proxmox.com>  Mon, 24 May 2021 12:18:54 +0200

proxmox-ve (6.4-1) pve; urgency=medium

  * bump version for Proxmox VE 6.4

 -- Proxmox Support Team <support@proxmox.com>  Wed, 28 Apr 2021 10:29:10 +0200

proxmox-ve (6.3-1) pve; urgency=medium

  * bump version for Proxmox VE 6.3

 -- Proxmox Support Team <support@proxmox.com>  Wed, 25 Nov 2020 11:47:22 +0100

proxmox-ve (6.2-2) pve; urgency=medium

  * split out APT repository keys into own package 'proxmox-archive-keyring'

 -- Proxmox Support Team <support@proxmox.com>  Thu, 6 Aug 2020 16:57:31 +0200

proxmox-ve (6.2-1) pve; urgency=medium

  * depend on Linux LTS Kernel 5.4 by default

 -- Proxmox Support Team <support@proxmox.com>  Wed, 06 May 2020 10:22:11 +0200

proxmox-ve (6.1-2) pve; urgency=medium

  * ensure rescue kernel links point over to new 5.3 kernel

 -- Proxmox Support Team <support@proxmox.com>  Wed, 04 Dec 2019 07:09:33 +0100

proxmox-ve (6.1-1) pve; urgency=medium

  * depend on Linux Kernel 5.3 by default

  * make pve-headers depend on pve-headers-5.3

 -- Proxmox Support Team <support@proxmox.com>  Tue, 26 Nov 2019 07:48:12 +0100

proxmox-ve (6.0-2) pve; urgency=medium

  * move efiboot and kernel autoremoval postinst hooks to kernel-meta

 -- Proxmox Support Team <support@proxmox.com>  Wed, 10 Jul 2019 20:21:33 +0200

proxmox-ve (6.0-1) pve; urgency=medium

  * add efiboot and kernel autoremoval postinst hooks

 -- Proxmox Support Team <support@proxmox.com>  Fri, 28 Jun 2019 11:25:40 +0200

proxmox-ve (6.0-0+2) pve; urgency=medium

  * make pve-headers depend on pve-headers-5.0

 -- Proxmox Support Team <support@proxmox.com>  Tue, 28 May 2019 11:49:14 +0200

proxmox-ve (6.0-0+1) pve; urgency=medium

  * switch over /boot/pve/vmlinuz and /boot/pve/initrd symlinks to point to
    5.0 kernel version series

  * re build for Debian Buster / PVE 6

 -- Proxmox Support Team <support@proxmox.com>  Wed, 22 May 2019 21:45:24 +0200

proxmox-ve (5.4-1) unstable; urgency=medium

  * bump version for PVE 5.4

 -- Proxmox Support Team <support@proxmox.com>  Thu, 04 Apr 2019 17:40:03 +0200

proxmox-ve (5.3-1) unstable; urgency=medium

  * bump version for PVE 5.3

 -- Proxmox Support Team <support@proxmox.com>  Fri, 23 Nov 2018 14:10:46 +0100

proxmox-ve (5.2-3) unstable; urgency=medium

  * add repository key for next major release

 -- Proxmox Support Team <support@proxmox.com>  Mon, 19 Nov 2018 10:58:00 +0100

proxmox-ve (5.2-2) unstable; urgency=medium

  * switch over /boot/pve/vmlinuz and /boot/pve/initrd symlinks to point to
    4.15 series

 -- Proxmox Support Team <support@proxmox.com>  Wed, 16 May 2018 07:59:41 +0200

proxmox-ve (5.2-1) unstable; urgency=medium

  * bump version  for PVE 5.2

 -- Proxmox Support Team <support@proxmox.com>  Wed, 9 May 2018 11:54:29 +0200

proxmox-ve (5.1-43) unstable; urgency=medium

  * switch to 4.15 series

  * build pve-headers meta-package from proxmox-ve

  * add apt hook to prevent accidental removal of proxmox-ve package

 -- Proxmox Support Team <support@proxmox.com>  Mon, 30 Apr 2018 10:54:21 +0200

proxmox-ve (5.1-42) unstable; urgency=medium

  * split out proxmox-ve into own source package and git repository

  * make repository key a proper conffile

  * split out kernel meta packages into own packages and git repository

  * depend on new kernel meta package instead of kernel package directly

  * move dependency on pve-firmware into pve-kernel-4.13 (meta) package

 -- Proxmox Support Team <support@proxmox.com>  Mon, 5 Mar 2018 14:34:11 +0100

proxmox-ve (5.1-39) unstable; urgency=medium

  * depend on newest 4.13.13-6-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Wed, 14 Feb 2018 12:14:44 +0100

proxmox-ve (5.1-36) unstable; urgency=medium

  * depend on newest 4.13.13-5-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Mon, 15 Jan 2018 12:36:49 +0100

proxmox-ve (5.1-35) unstable; urgency=medium

  * depend on newest 4.13.13-4-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Mon, 8 Jan 2018 10:26:58 +0100

proxmox-ve (5.1-34) unstable; urgency=medium

  * depend on newest 4.13.13-3-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Sun, 7 Jan 2018 13:19:58 +0100

proxmox-ve (5.1-32) unstable; urgency=medium

  * depend on newest 4.13.13-2-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Thu, 21 Dec 2017 09:02:14 +0100

proxmox-ve (5.1-31) unstable; urgency=medium

  * depend on newest 4.13.13-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Mon, 11 Dec 2017 10:00:13 +0100

proxmox-ve (5.1-29) unstable; urgency=medium

  * depend on newest 4.13.8-3-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Mon, 4 Dec 2017 09:15:03 +0100

proxmox-ve (5.1-28) unstable; urgency=medium

  * depend on newest 4.13.8-2-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Wed, 29 Nov 2017 09:49:35 +0100

proxmox-ve (5.1-27) unstable; urgency=medium

  * depend on newest 4.13.8-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Fri, 17 Nov 2017 11:41:10 +0100

proxmox-ve (5.1-25) unstable; urgency=medium

  * bump for 5.1 release

 -- Proxmox Support Team <support@proxmox.com>  Mon, 23 Oct 2017 09:32:53 +0200

proxmox-ve (5.0-25) unstable; urgency=medium

  * switch over to 4.13 based kernel series

  * depend on newest 4.13.4-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Fri, 13 Oct 2017 08:59:53 +0200

proxmox-ve (5.0-24) unstable; urgency=medium

  * depend on newest 4.10.17-4-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Tue, 10 Oct 2017 14:39:55 +0200

proxmox-ve (5.0-21) unstable; urgency=medium

  * depend on newest 4.10.17-3-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Thu, 31 Aug 2017 14:57:17 +0200

proxmox-ve (5.0-16) unstable; urgency=medium

  * depend on newest 4.10.17-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Tue, 11 Jul 2017 11:11:35 +0200

proxmox-ve (5.0-10) unstable; urgency=medium

  * depend on newest 4.10.15-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Wed, 7 Jun 2017 10:36:33 +0200

proxmox-ve (5.0-8) unstable; urgency=medium

  * depend on newest 4.10.11-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Thu, 18 May 2017 09:14:18 +0200

proxmox-ve (5.0-6) unstable; urgency=medium

  * depend on newest 4.10.8-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Thu, 13 Apr 2017 11:24:12 +0200

proxmox-ve (5.0-5) unstable; urgency=medium

  * depend on newest 4.10.5-1-pve kernel

  * remove old 4.x release key

 -- Proxmox Support Team <support@proxmox.com>  Tue, 28 Mar 2017 10:14:00 +0200

proxmox-ve (5.0-3) unstable; urgency=medium

  * depend on newest 4.10.3-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Fri, 24 Mar 2017 13:44:18 +0100

proxmox-ve (5.0-2) unstable; urgency=medium

  * depend on newest 4.10.1-2-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Fri, 10 Mar 2017 10:20:14 +0100

proxmox-ve (5.0-1) unstable; urgency=medium

  * Proxmox VE package for Debian Stretch

 -- Proxmox Support Team <support@proxmox.com>  Fri, 3 Mar 2017 15:56:11 +0100

proxmox-ve (4.4-83) unstable; urgency=medium

  * depend on newest 4.4.44-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Wed, 1 Mar 2017 09:22:26 +0100

proxmox-ve (4.4-82) unstable; urgency=medium

  * install PVE release keys in a Debian Stretch compatible way

 -- Proxmox Support Team <support@proxmox.com>  Thu, 23 Feb 2017 15:14:06 +0100

proxmox-ve (4.4-80) unstable; urgency=medium

  * depend on newest 4.4.40-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Wed, 8 Feb 2017 13:10:57 +0100

proxmox-ve (4.4-76) unstable; urgency=medium

  * update version for 4.4 release

 -- Proxmox Support Team <support@proxmox.com>  Wed, 8 Feb 2017 10:38:33 +0100

proxmox-ve (4.3-74) unstable; urgency=medium

  * depend on newest 4.4.35-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Mon, 5 Dec 2016 10:20:03 +0100

proxmox-ve (4.3-73) unstable; urgency=medium

  * depend on newest 4.4.30-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Wed, 30 Nov 2016 09:43:29 +0100

proxmox-ve (4.3-72) unstable; urgency=medium

  * depend on newest 4.4.24-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Mon, 14 Nov 2016 12:17:16 +0100

proxmox-ve (4.3-67) unstable; urgency=medium

  * depend on newest 4.4.21-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Mon, 10 Oct 2016 13:58:20 +0200

proxmox-ve (4.3-66) unstable; urgency=medium

  * depend on newest 4.4.19-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Wed, 14 Sep 2016 13:23:43 +0200

proxmox-ve (4.2-63) unstable; urgency=medium

  * use /etc/apt/trusted.gpg.d/ mechanism to install trusted apt keys

 -- Proxmox Support Team <support@proxmox.com>  Mon, 29 Aug 2016 12:08:43 +0200

proxmox-ve (4.2-61) unstable; urgency=medium

  * depend on newest 4.4.16-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Wed, 24 Aug 2016 15:11:08 +0200

proxmox-ve (4.2-58) unstable; urgency=medium

  * depend on newest 4.4.13-2-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Fri, 15 Jul 2016 06:03:16 +0200

proxmox-ve (4.2-55) unstable; urgency=medium

  * depend on newest 4.4.13-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Sat, 25 Jun 2016 11:52:14 +0200

proxmox-ve (4.2-54) unstable; urgency=medium

  * depend on newest 4.4.10-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Fri, 10 Jun 2016 20:56:08 +0200

proxmox-ve (4.0-49) unstable; urgency=medium

  * depend on newest 4.4.8-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Mon, 09 May 2016 10:29:57 +0200

proxmox-ve (4.0-43) unstable; urgency=medium

  * depend on newest 4.4.6-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Mon, 11 Apr 2016 09:35:06 +0200

proxmox-ve (4.0-32) unstable; urgency=medium

  * depend on newest 4.2.8-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Wed, 03 Feb 2016 16:15:41 +0100

proxmox-ve (4.0-31) unstable; urgency=medium

  * setup kernel links for installation CD (rescue boot)

 -- Proxmox Support Team <support@proxmox.com>  Sun, 10 Jan 2016 10:10:37 +0100

proxmox-ve (4.0-29) unstable; urgency=medium

  * depend on newest 4.2.6-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Thu, 31 Dec 2015 12:46:00 +0100

proxmox-ve (4.0-8) unstable; urgency=medium

  * depend on newest 4.2.3-2-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Tue, 03 Nov 2015 10:40:01 +0100

proxmox-ve (4.0-7) unstable; urgency=medium

  * depend on newest 4.2.3-1-pve kernel

 -- Proxmox Support Team <support@proxmox.com>  Sun, 18 Oct 2015 10:58:21 +0200

proxmox-ve (4.0-6) unstable; urgency=medium

  * depend on newest 4.1.3 kernel

 -- Proxmox Support Team <support@proxmox.com>  Thu, 30 Jul 2015 09:17:30 +0200

proxmox-ve (4.0-1) unstable; urgency=medium

  * Proxmox VE package for Debian Jessie

 -- Proxmox Support Team <support@proxmox.com>  Sat, 28 Feb 2015 17:25:14 +0100

